> ## Documentation Index
> Fetch the complete documentation index at: https://docs.multchats.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Validar Número de WhatsApp

> Valida um número de WhatsApp



## OpenAPI

````yaml POST /integration/validate-whatsapp-phone-number
openapi: 3.1.0
info:
  title: OpenAPI Multchats
  description: Multchats API
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.multchats.com/v2
security:
  - bearerAuth: []
paths:
  /integration/validate-whatsapp-phone-number:
    post:
      tags:
        - Integration
      summary: Validar número de WhatsApp
      description: Valida um número de WhatsApp
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ValidateWhatsAppPhoneNumberSchema'
      responses:
        '200':
          description: Número de WhatsApp validado com sucesso
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ValidateWhatsAppPhoneNumberResponseSchema'
components:
  schemas:
    ValidateWhatsAppPhoneNumberSchema:
      type: object
      required:
        - integrationId
        - phoneNumber
      properties:
        integrationId:
          description: ID da integração
          type: string
        phoneNumber:
          description: Número de telefone
          type: string
    ValidateWhatsAppPhoneNumberResponseSchema:
      type: object
      properties:
        success:
          description: Indica se a operação foi bem-sucedida
          type: boolean
        response:
          description: Resposta da operação de validação
          type: object
          properties:
            exists:
              description: Indica se o número de WhatsApp existe
              type: boolean
            jid:
              description: JID do número de WhatsApp
              type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````